Bug 1326992 - [RFE][XS-2] Increase Retirement Granularity to Day and Time
Summary: [RFE][XS-2] Increase Retirement Granularity to Day and Time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: MVP
: 5.10.0
Assignee: Tina Fitzgerald
QA Contact: Tasos Papaioannou
URL:
Whiteboard: retirement
Depends On:
Blocks: 1555371 1591576
TreeView+ depends on / blocked
 
Reported: 2016-04-14 02:28 UTC by Dustin Scott
Modified: 2019-02-07 23:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:13 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
retiring (143.67 KB, image/png)
2018-06-12 22:56 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:31 UTC

Description Dustin Scott 2016-04-14 02:28:13 UTC
-What is the nature and description of the request?
Due to a very short lifecycle (usually only a few days), there should be the ability to allow users to retire virtual machines down to the day, and the time, rather than just the current supported method of the day.  Their current homegrown system supports this functionality.
  
-Why does the customer need this? (List the business requirements here)
Cloud instances are stateless and therefore have a short lifecycle of only a few days.
  
-How would the customer like to achieve this? (List the functional requirements here)
Just the ability to be able to specify a day/time to retire the VM.  For example:

retire_time = (Time.now + ((dialog_retire_days.to_i * 24).hours + dialog_retire_hours.to_i))
vm.retires_on(retire_time)
  
-For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
Allow day/time retirement granularity.  Verify that the VM retires at the specified time.
  
-Is there already an existing RFE upstream or in Red Hat Bugzilla?
I have not found one.
  
-Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
No specified timeframe.
  
-Is the sales team involved in this request and do they have any additional input?
Sales is not involved at this point.
  
-List any affected packages or components.
cfme-appliance-5.5.2.4-1.el7cf.x86_64
cfme-5.5.2.4-1.el7cf.x86_64

Comment 2 Dustin Scott 2016-04-14 18:40:57 UTC
Customer also has global users in different time zones, so when each instance retires at 12:00am PST (their time zone) of the current retirement day, other customers in other time zones become affected, which is another reason to allow increased retirement granularity down to the day/time level.

Comment 4 Tina Fitzgerald 2018-06-11 21:20:19 UTC
Hi Shveta,

We believe this functionality exists today.  Could you test this?

There are 3 paths to retirement:
1. Through the UI, set a retirement date/time in the future, or set the date/time to now. (A future date will be picked up by the scheduler, the "now" time will cause an immediate retirement)
2. Scheduler runs on a time interval and checks specific objects (services, VMs...) to see if they are due for retirement.
3. Custom Automate code can set a retirement date/time.

The big change here is that retirement should respect the time and not just the date.

Let me know if you have any questions.

Thanks,
Tina

Comment 5 Shveta 2018-06-12 22:56:43 UTC
Created attachment 1450704 [details]
retiring

Hi Tina , 

I tested few services with different time set for retirement.
1) EC2 service with one VM set to retire after one hour (retire with delay now) option . service as well as VM was retired at the set time and date .
2) Retire now , immediately retired the service .
3) One service is set to retire after one day - still to be tested .

All these retirements were set from UI .
Tested in 5.9.3.1.20180606184006_8d120c0.

Please let me know if anything else needs to be validated or this is good enough 
Thanks, 
Shveta

Comment 7 errata-xmlrpc 2019-02-07 23:02:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.